NAME="gst-plugins-good"
DESC="GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to be good"
VERSION="1.22.10"

FILES=("https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-${VERSION}.tar.xz")
HASHES=("0b3d46da3ff7530e9b7cada625bdaf34")

DEPENDS=(
  "gst-plugins-base" "flac" "cairo"
  "gdk-pixbuf" "libsoup" "mpg123"
  "nasm" "pulseaudio" "glibc"
  "libgudev" "libdv" "zlib"
  "lame" "gcc-libs" "glib"
  "nettle" "mpg123" "libx11"
)
BUILD=("gobject-introspection" "graphene" "iso-codes")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  meson setup ..                                                     \
      --prefix=/usr                                                  \
      --buildtype=release                                            \
       -Dpackage-origin="https://git.matterlinux.xyz/Matter/desktop" \
      -Dpackage-name="GStreamer ${VERSION}"

  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
