NAME="gtk2"
DESC="Libraries used for creating graphical user interfaces for applications"
VERSION="2.24.33"

FILES=("https://download.gnome.org/sources/gtk+/2.24/gtk+-${VERSION}.tar.xz")
HASHES=("0118e98dbe0e4dab90ce475f9f0e6c0c")

DEPENDS=(
  "at-spi2-core" "gdk-pixbuf" "pango"
  "cairo" "desktop-file-utils" "fontconfig"
  "gdk-pixbuf" "glib" "librsvg"
  "libx11" "libxcomposite" "libxcursor"
  "libxdamage" "libxext" "libxfixes"
  "libxi" "libxinerama" "libxrandr"
  "libxrender" "pango" "shared-mime-info"
  "adwaita-icon-theme"
)
DEPENDS=("gobject-introspection" "gtk-doc")

PACKAGE() {
  tar xf "gtk+-${VERSION}.tar.xz"
  cd "gtk+-${VERSION}"

  export CFLAGS+=" -Wno-error=implicit-int -Wno-error=incompatible-pointer-types"

  sed -e 's#l \(gtk-.*\).sgml#& -o \1#' \
    -i docs/{faq,tutorial}/Makefile.in
  sed -i '/AM_INIT_AUTOMAKE/s/]/ foreign]/' configure.ac
  autoreconf -fvi

  ./configure --prefix=/usr     \
              --with-xinput=yes \
              --sysconfdir=/etc

  make
  make DESTDIR="${ROOTDIR}" install
  rm "${ROOTDIR}/usr/bin/gtk-update-icon-cache"

  cd .. && rm -r "gtk+-${VERSION}"
}

INSTALL(){
  gtk-query-immodules-2.0 --update-cache
  exit 0
}
